# Class UnixDomainSocket.SockAddr

java.lang.Object
com.sun.jna.Structure
org.mariadb.jdbc.internal.io.socket.UnixDomainSocket.SockAddr

Enclosing class:
  `UnixDomainSocket`

public static class UnixDomainSocket.SockAddr extends com.sun.jna.Structure

## Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue, com.sun.jna.Structure.FieldOrder, com.sun.jna.Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`short`
`sun_family`
`byte[]`
`sun_path`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`SockAddr(String sunPath)`
Contructor.

## Method Summary

Modifier and Type
Method
Description
`protected List<String>`
`getFieldOrder()`

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### sun_family

public short sun_family

### sun_path

public byte[] sun_path

## Constructor Details

### SockAddr

public SockAddr(String sunPath)
Contructor.

Parameters:
  `sunPath` - path

## Method Details

### getFieldOrder

protected List<String> getFieldOrder()

Overrides:
  `getFieldOrder` in class `com.sun.jna.Structure`